Get a Department by name.

GET /users/department/name/{name}

Operation id: DepartmentService_GetDepartment

Description

This is a convenience level above GetWorkspace.

Permission Level: Read

Tags: DepartmentService

Parameters

Path parameters

NameTypeRequiredDescription
namestringYesName of the Department, Required = true

Query parameters

NameTypeRequiredDescription
includeUsersbooleanNoWhether to include list of users who belong to the department. Required : false
tenantIdstringNoTenantId of the Department. Required: false (False as this can be inferred from the token)

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
namestringNo
parentstringNo
ancestorsarrayNo
descendantsarrayNo
displayNamestringNo
creationTimestring (date-time)No
attributesarrayNo
domainstringNo
enabledScopesobjectNo
usersarrayNo
descriptionstringNo
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string"
    },
    "parent": {
      "type": "string"
    },
    "ancestors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "descendants": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "displayName": {
      "type": "string"
    },
    "creationTime": {
      "type": "string",
      "format": "date-time"
    },
    "attributes": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "scope": {
            "type": "string"
          },
          "fieldName": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          }
        }
      }
    },
    "domain": {
      "type": "string"
    },
    "enabledScopes": {
      "type": "object"
    },
    "users": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string",
            "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
          },
          "userId": {
            "type": "string",
            "description": "The user ID. Required: true."
          },
          "firstName": {
            "type": "string",
            "description": "The first name. Required: false."
          },
          "lastName": {
            "type": "string",
            "description": "The last name. Required: false."
          }
        }
      }
    },
    "description": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}